Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336360 - [RFE] Custom chroots
Summary: [RFE] Custom chroots
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 09:20 UTC by Mikolaj Izdebski
Modified: 2016-10-03 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:07:06 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2016-05-16 09:20:19 UTC
Currently Copr allows user to choose one of predefined chroots, which are combinations of distro, version and arch. They use predefined repos, which can't be disabled.

It would be nice to have ability to choose a custom chroot, which wouldn't define any repos and let user to add all repos manually (by editing chroot repos, which is already implemented in Copr). Likewise, initial buildroot packages would need to be specified manually too.

Moreover, repo of given copr seems to always be used during builds for that copr. It would be good if custom repos wouldn't have it enabled by default - user would have to explicitly add it.

Basically the above means another set of chroots (custom-x86_64, custom-ppc64le, ...) with no default repos, not even repo of current copr. All repos need to be defined explicitly by user.

Koschei needs this feature for two reasons: 1) using Koji repos instead of mirrored rawhide content and 2) "untagged builds" (builds which are not included buildroot). What I proposed seems like a simplest solution that would satisfy Koschei needs, but looking at several other RFEs maybe a more sophisticated repo customization could be implemented?

Comment 1 Miroslav Suchý 2016-05-18 06:26:18 UTC
This is currently blocked by fedpkg. When I create branch custom1 in dist-git. And then run
  fedpkg --dist custom1 srpm
I get verious errors related to the fact that fedpkg cannot guess distag for that branch. That is because of hardcoded list of possible branches.

I created PR for fedpkg which should address it.
  https://pagure.io/fedpkg/pull-request/25

Comment 2 Fedora Update System 2016-05-27 15:21:10 UTC
copr-frontend-1.93-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589

Comment 3 Fedora Update System 2016-05-28 03:24:11 UTC
copr-frontend-1.93-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589

Comment 4 clime 2016-06-03 14:29:56 UTC
This is still open.

Comment 5 Fedora Update System 2016-07-01 14:45:11 UTC
copr-frontend-1.97-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 6 Fedora Update System 2016-07-02 20:55:20 UTC
copr-frontend-1.97-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 7 Fedora Update System 2016-08-17 14:43:58 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 8 Fedora Update System 2016-08-18 01:50:35 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 9 clime 2016-08-18 16:23:28 UTC
New Copr has been released.

Comment 10 Fedora Update System 2016-09-12 06:25:42 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 11 Fedora Update System 2016-09-12 14:51:05 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 12 Fedora Update System 2016-10-03 20:21:14 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.